Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 2008)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 2011)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! changed prefix for urban surface model output to "usm_",
+! introduced control parameter varnamelength for LEN of trimvar.
 ! 
 ! Former revisions:
@@ -96,5 +98,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  average_count_3d, doav, doav_n
+        ONLY:  average_count_3d, doav, doav_n, urban_surface, varnamelength
 
     USE cpulog,                                                                &
@@ -113,5 +115,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_average_3d_data
+        ONLY:  usm_average_3d_data
 
 
@@ -123,5 +125,5 @@
     INTEGER(iwp) ::  k  !< running index
 
-    CHARACTER (LEN=20) ::  trimvar  !< TRIM of output-variable string
+    CHARACTER (LEN=varnamelength) ::  trimvar  !< TRIM of output-variable string
 
 
@@ -140,5 +142,5 @@
 !--    surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
        trimvar = TRIM( doav(ii) )
-       IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+       IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
           trimvar = 'usm_output'
        ENDIF
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2008)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2011)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! -----------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! changed prefix for urban surface model output to "usm_",
+! added flag lsf_exception (inipar-Namelist parameter) to allow explicit 
+! enabling of large scale forcing together with buildings on flat terrain,
+! introduced control parameter varnamelength for LEN of var.
 ! 
 ! Former revisions:
@@ -436,5 +440,5 @@
     USE transpose_indices
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_check_data_output, usm_check_parameters
+        ONLY:  usm_check_data_output, usm_check_parameters
     USE wind_turbine_model_mod,                                                &
         ONLY:  wtm_check_parameters, wind_turbine
@@ -444,5 +448,5 @@
 
     CHARACTER (LEN=1)   ::  sq                       !< 
-    CHARACTER (LEN=15)  ::  var                      !< 
+    CHARACTER (LEN=varnamelength)  ::  var           !< 
     CHARACTER (LEN=7)   ::  unit                     !<
     CHARACTER (LEN=8)   ::  date                     !< 
@@ -3069,5 +3073,5 @@
 !
 !--          Block of urban surface model outputs
-             IF ( unit == 'illegal' .AND. urban_surface .AND. var(1:3) == 'us_' ) THEN
+             IF ( unit == 'illegal' .AND. urban_surface .AND. var(1:4) == 'usm_' ) THEN
                  CALL usm_check_data_output( var, unit )
              ENDIF
@@ -3737,5 +3741,5 @@
 
     IF ( large_scale_forcing  .AND.  topography /= 'flat'                      &
-                              .AND.  .NOT.  urban_surface )  THEN
+                              .AND.  .NOT.  lsf_exception )  THEN
        message_string = 'The usage of large scale forcing from external &'//   & 
                         'file LSF_DATA is not implemented for non-flat topography'
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 2008)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 2011)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! changed prefix for urban surface model output to "usm_",
+! introduced control parameter varnamelength for LEN of trimvar.
 ! 
 ! Former revisions:
@@ -152,5 +154,6 @@
         ONLY:  cloud_physics, do3d, do3d_no, do3d_time_count, io_blocks,       &
                io_group, message_string, ntdim_3d, nz_do3d, psolver,           &
-               simulated_time, time_since_reference_point
+               simulated_time, time_since_reference_point, urban_surface,      &
+               varnamelength
         
     USE cpulog,                                                                &
@@ -183,5 +186,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  nzub, nzut, urban_surface, usm_data_output_3d
+        ONLY:  nzub, nzut, usm_data_output_3d
 
 
@@ -208,5 +211,5 @@
     REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !< 
 
-    CHARACTER (LEN=20) ::  trimvar  !< TRIM of output-variable string
+    CHARACTER (LEN=varnamelength) ::  trimvar  !< TRIM of output-variable string
 
 !
@@ -275,5 +278,5 @@
 !--    Store the array chosen on the temporary array.
        trimvar = TRIM( do3d(av,if) )
-       IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+       IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
           trimvar = 'usm_output'
           resorted = .TRUE.
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2008)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -370,5 +370,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_init_urban_surface
+        ONLY:  usm_init_urban_surface
 
     USE wind_turbine_model_mod,                                                &
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2008)
+++ palm/trunk/SOURCE/modules.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! +urban_surface, +lsf_exception, +varnamelength
 ! 
 ! Former revisions:
@@ -589,4 +589,5 @@
     
     INTEGER, PARAMETER :: mask_xyz_dimension = 100, max_masks = 50
+    INTEGER(iwp), PARAMETER ::  varnamelength = 30  !< length of output variable names
 
     TYPE(file_status), DIMENSION(200+2*max_masks) ::                &
@@ -634,13 +635,13 @@
     CHARACTER (LEN=1000) ::  message_string = ' '
 
-    CHARACTER (LEN=20), DIMENSION(500) ::  data_output = ' ',    &
+    CHARACTER (LEN=varnamelength), DIMENSION(500) ::  data_output = ' ',    &
                                            data_output_user = ' ', doav = ' '
-    CHARACTER (LEN=20), DIMENSION(max_masks,100) ::  &
+    CHARACTER (LEN=varnamelength), DIMENSION(max_masks,100) ::  &
          data_output_masks = ' ', data_output_masks_user = ' '
 
-    CHARACTER (LEN=20), DIMENSION(300) ::  data_output_pr = ' '
-    CHARACTER (LEN=20), DIMENSION(200) ::  data_output_pr_user = ' '
-    CHARACTER (LEN=20), DIMENSION(max_masks,0:1,100) ::  domask = ' '
-    CHARACTER (LEN=20), DIMENSION(0:1,500) ::  do2d = ' ', do3d = ' '
+    CHARACTER (LEN=varnamelength), DIMENSION(300) ::  data_output_pr = ' '
+    CHARACTER (LEN=varnamelength), DIMENSION(200) ::  data_output_pr_user = ' '
+    CHARACTER (LEN=varnamelength), DIMENSION(max_masks,0:1,100) ::  domask = ' '
+    CHARACTER (LEN=varnamelength), DIMENSION(0:1,500) ::  do2d = ' ', do3d = ' '
 
     INTEGER(iwp), PARAMETER :: fl_max = 100, var_fl_max = 20
@@ -728,5 +729,7 @@
                 inflow_r = .FALSE., inflow_s = .FALSE., &
                 large_scale_forcing = .FALSE., &
-                large_scale_subsidence = .FALSE., lsf_surf = .TRUE., &
+                large_scale_subsidence = .FALSE.
+    LOGICAL ::  lsf_exception = .FALSE.  !< temporary flag for use of lsf with buildings on flat terrain
+    LOGICAL ::  lsf_surf = .TRUE., &
                 lsf_vert = .TRUE., lptnudge = .FALSE., lqnudge = .FALSE., &
                 lunudge = .FALSE., lvnudge = .FALSE., lwnudge = .FALSE., &
@@ -736,5 +739,5 @@
                 microphysics_seifert = .FALSE., &
                 mg_switch_to_pe0 = .FALSE., &
-                monotonic_adjustment = .FALSE., virtual_flight = .FALSE.
+                monotonic_adjustment = .FALSE.
     LOGICAL ::  nest_bound_l = .FALSE. !< nested boundary on left side
     LOGICAL ::  nest_bound_n = .FALSE. !< nested boundary on north side
@@ -752,12 +755,14 @@
                 stop_dt = .FALSE., synchronous_exchange = .FALSE., &
                 terminate_run = .FALSE., transpose_compute_overlap = .FALSE., &
-                turbulent_inflow = .FALSE., &
-                use_cmax = .TRUE., use_initial_profile_as_reference = .FALSE., &
+                turbulent_inflow = .FALSE.
+    LOGICAL ::  urban_surface = .FALSE.  !< flag for urban surface model
+    LOGICAL ::  use_cmax = .TRUE., use_initial_profile_as_reference = .FALSE., &
                 use_prescribed_profile_data = .FALSE., &
                 use_single_reference_value = .FALSE., &
                 use_subsidence_tendencies = .FALSE., &
                 use_surface_fluxes = .FALSE., use_top_fluxes = .FALSE., &
-                use_ug_for_galilei_tr = .TRUE., use_upstream_for_tke = .FALSE.,&
-                wall_adjustment = .TRUE., ws_scheme_sca = .FALSE., &
+                use_ug_for_galilei_tr = .TRUE., use_upstream_for_tke = .FALSE.
+    LOGICAL ::  virtual_flight = .FALSE.  !< flag for virtual flight model
+    LOGICAL ::  wall_adjustment = .TRUE., ws_scheme_sca = .FALSE., &
                 ws_scheme_mom = .FALSE.
 
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2011)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! changed prefix for urban surface model output to "usm_",
+! introduced control parameter varnamelength for LEN of trimvar.
 ! 
 ! Former revisions:
@@ -174,5 +176,5 @@
  MODULE netcdf_interface
 
-    USE control_parameters, ONLY: max_masks, fl_max, var_fl_max
+    USE control_parameters, ONLY: max_masks, fl_max, var_fl_max, varnamelength
     USE kinds
 #if defined( __netcdf )
@@ -417,5 +419,6 @@
                simulated_time_at_begin, skip_time_data_output_av,              &
                skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,        &
-               skip_time_do3d, topography, num_leg, num_var_fl
+               skip_time_do3d, topography, num_leg, num_var_fl,                &
+               urban_surface
 
     USE grid_variables,                                                        &
@@ -448,5 +451,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_define_netcdf_grid
+        ONLY:  usm_define_netcdf_grid
 
 
@@ -463,5 +466,5 @@
     CHARACTER (LEN=10)             ::  precision             !<
     CHARACTER (LEN=10)             ::  var                   !<
-    CHARACTER (LEN=20)             ::  trimvar               !< TRIM of output-variable string
+    CHARACTER (LEN=varnamelength)  ::  trimvar               !< TRIM of output-variable string
     CHARACTER (LEN=80)             ::  time_average_text     !<
     CHARACTER (LEN=4000)           ::  char_cross_profiles   !<
@@ -761,5 +764,5 @@
 !--          surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
              trimvar = TRIM( domask(mid,av,i) )
-             IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+             IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
                 trimvar = 'usm_output'
              ENDIF
@@ -1283,5 +1286,5 @@
 !--          surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
              trimvar = TRIM( do3d(av,i) )
-             IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+             IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
                 trimvar = 'usm_output'
              ENDIF
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 2008)
+++ palm/trunk/SOURCE/palm.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -159,4 +159,5 @@
                large_scale_forcing, message_string, nest_domain, neutral,      &
                nudging, passive_scalar, simulated_time, simulated_time_chr,    &
+               urban_surface,                                                  &
                user_interface_current_revision,                                &
                user_interface_required_revision, version, wall_heatflux,       &
@@ -207,5 +208,5 @@
         
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_write_restart_data        
+        ONLY:  usm_write_restart_data        
 
 #if defined( __openacc )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 2008)
+++ palm/trunk/SOURCE/parin.f90	(revision 2011)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added flag lsf_exception to allow explicit enabling of large scale forcing 
+! together with buildings on flat terrain.
 ! 
 ! Former revisions:
@@ -332,5 +333,5 @@
              large_scale_forcing, large_scale_subsidence,                      &
              limiter_sedimentation,                                            &
-             loop_optimization, masking_method, mg_cycles,                     &
+             loop_optimization, lsf_exception, masking_method, mg_cycles,      &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
              most_method, nc_const, netcdf_precision, neutral, ngsrb,          &
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2011)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renamed canopy_heat_flux to pc_heating_rate, since the original meaning/
+! calculation of the quantity has changed, related to the urban surface model
+! and similar future applications. 
 ! 
 ! Former revisions:
@@ -146,5 +148,5 @@
     
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::                                 &
-       canopy_heat_flux                                    !< canopy heat flux
+       pc_heating_rate                                    !< plant canopy heating rate
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  cum_lai_hf !< cumulative lai for heatflux calc.
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  lad_s      !< lad on scalar-grid
@@ -162,5 +164,5 @@
 !
 !-- Public variables and constants
-    PUBLIC canopy_heat_flux, canopy_mode, cthf, dt_plant_canopy, lad, lad_s,   &
+    PUBLIC pc_heating_rate, canopy_mode, cthf, dt_plant_canopy, lad, lad_s,   &
            pch_index, plant_canopy
            
@@ -503,5 +505,5 @@
        IF ( cthf /= 0.0_wp )  THEN
           ALLOCATE( cum_lai_hf(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                 &
-                    canopy_heat_flux(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+                    pc_heating_rate(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
        ENDIF
 
@@ -548,8 +550,18 @@
 
 !
-!--    Initialization of the canopy heat source distribution
+!--    Initialization of the canopy heat source distribution due to heating
+!--    of the canopy layers by incoming solar radiation, in case that a non-zero
+!--    value is set for the canopy top heat flux (cthf), which equals the
+!--    available net radiation at canopy top.
+!--    The heat source distribution is calculated by a decaying exponential 
+!--    function of the downward cumulative leaf area index (cum_lai_hf), 
+!--    assuming that the foliage inside the plant canopy is heated by solar
+!--    radiation penetrating the canopy layers according to the distribution
+!--    of net radiation as suggested by Brown & Covey (1966; Agric. Meteorol. 3, 
+!--    73â96). This approach has been applied e.g. by Shaw & Schumann (1992;
+!--    Bound.-Layer Meteorol. 61, 47â64)
        IF ( cthf /= 0.0_wp )  THEN
 !
-!--       Piecewise calculation of the leaf area index by vertical
+!--       Piecewise calculation of the cumulative leaf area index by vertical
 !--       integration of the leaf area density
           cum_lai_hf(:,:,:) = 0.0_wp
@@ -581,23 +593,25 @@
 
 !
-!--       Calculation of the upward kinematic vertical heat flux within the 
-!--       canopy
+!--       Calculation of the heating rate (K/s) within the different layers of 
+!--       the plant canopy
           DO  i = nxlg, nxrg
              DO  j = nysg, nyng
-                DO  k = 0, pch_index
-                   canopy_heat_flux(k,j,i) = cthf *                            &
-                                             exp( -ext_coef * cum_lai_hf(k,j,i) )
-                ENDDO
-             ENDDO
-          ENDDO
-
-!
-!--       In areas covered with canopy, the surface heat flux is set to
-!--       the surface value of the above calculated in-canopy heat flux
-!--       distribution
-          DO  i = nxlg,nxrg
-             DO  j = nysg, nyng
-                IF ( canopy_heat_flux(0,j,i) /= cthf )  THEN
-                   shf(j,i) = canopy_heat_flux(0,j,i)
+!
+!--             Calculation only necessary in areas covered with canopy
+                IF ( cum_lai_hf(0,j,i) /= 0.0_wp )  THEN
+!--             
+!--                In areas with canopy the surface value of the canopy heat 
+!--                flux distribution overrides the surface heat flux (shf) 
+                   shf(j,i) = cthf * exp( -ext_coef * cum_lai_hf(0,j,i) )
+!
+!--                Within the different canopy layers the plant-canopy heating
+!--                rate (pc_heating_rate) is calculated as the vertical 
+!--                divergence of the canopy heat fluxes at the top and bottom
+!--                of the respective layer
+                   DO  k = 1, pch_index
+                      pc_heating_rate(k,j,i) = cthf *                         &
+                                                ( exp(-ext_coef*cum_lai_hf(k,j,i)) -  &
+                                                  exp(-ext_coef*cum_lai_hf(k-1,j,i)) ) / dzw(k)
+                   ENDDO
                 ENDIF
              ENDDO
@@ -689,14 +703,5 @@
         INTEGER(iwp)                            :: i, j, dtype, nzp, nzpltop, nzpl, kk
         REAL(wp), DIMENSION(:), ALLOCATABLE     :: col
-       
-        lad_s = 0.0_wp
-!         cdc = 0.0_wp
-!         if ( passive_scalar )  then
-!            lsc = 0.0_wp
-!            lsec = 0.0_wp
-!         endif
-
-        WRITE(9,*) 'Reading PLANT_CANOPY_DATA_3D', nzt
-        FLUSH(9)
+
         OPEN(152, file='PLANT_CANOPY_DATA_3D', access='SEQUENTIAL', &
                 action='READ', status='OLD', form='FORMATTED', err=515)
@@ -709,6 +714,4 @@
             READ(152, *, err=516, end=517) dtype, i, j, col(:)
             IF ( i < nxlg .or. i > nxrg .or. j < nysg .or. j > nyng ) CYCLE
-            WRITE(9,*) 'Read ', i,j,nzb_s_inner(j,i),col(:)
-            FLUSH(9)
 
             SELECT CASE (dtype)
@@ -974,7 +977,5 @@
                    DO  k = nzb_s_inner(j,i)+1, nzb_s_inner(j,i)+pch_index
                       kk = k - nzb_s_inner(j,i)  !- lad arrays are defined flat
-                      tend(k,j,i) = tend(k,j,i) +                              &
-                                       ( canopy_heat_flux(kk,j,i) -            &
-                                         canopy_heat_flux(kk-1,j,i) ) / dzw(k)
+                      tend(k,j,i) = tend(k,j,i) + pc_heating_rate(kk,j,i)
                    ENDDO
                 ENDDO
@@ -1281,7 +1282,5 @@
              DO  k = nzb_s_inner(j,i)+1, nzb_s_inner(j,i)+pch_index
                 kk = k - nzb_s_inner(j,i)  !- lad arrays are defined flat
-                tend(k,j,i) = tend(k,j,i) +                                    &
-                                 ( canopy_heat_flux(kk,j,i) -                  &
-                                   canopy_heat_flux(kk-1,j,i) ) / dzw(k)
+                tend(k,j,i) = tend(k,j,i) + pc_heating_rate(kk,j,i)
              ENDDO
 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 2008)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -228,5 +228,5 @@
                prho_reference, pt_reference, pt_reference, pt_reference,       &
                scalar_advec, scalar_advec, simulated_time, sloping_surface,    &
-               timestep_scheme, tsc, use_subsidence_tendencies,                &
+               timestep_scheme, tsc, urban_surface, use_subsidence_tendencies, &
                use_upstream_for_tke, wall_heatflux,                            &
                wall_nrflux, wall_qflux, wall_qflux, wall_qflux, wall_qrflux,   &
@@ -326,5 +326,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_wall_heat_flux
+        ONLY:  usm_wall_heat_flux
 
     USE user_actions_mod,                                                      &
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2011)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed CALL of auxiliary SUBROUTINE get_usm_info,
+! flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -768,11 +769,9 @@
 
        USE control_parameters,                                                 &
-           ONLY: message_string, topography
+           ONLY: message_string, topography, urban_surface
                  
     
        IMPLICIT NONE
        
-       LOGICAL ::  urban_surface_af = .FALSE.  !< auxiliary flag used for parameter check
-
 
        IF ( radiation_scheme /= 'constant'   .AND.                             &
@@ -823,9 +822,5 @@
 !--    flag, until a better solution comes up to omit this check in case of
 !--    urban surface model is used.
-!--    Routine get_usm_info provides the value for the urban_surface flag,
-!--    because the value cannot be retrieved via USE due to circular dependencies
-!--    between modules radiation_model_mod and urban_surface_mod.
-       CALL get_usm_info( urban_surface_af )
-       IF ( topography /= 'flat'  .AND.  .NOT.  urban_surface_af )  THEN
+       IF ( topography /= 'flat'  .AND.  .NOT.  urban_surface )  THEN
           message_string = 'radiation scheme cannot be used ' //               & 
                            'in combination with  topography /= "flat"'
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2008)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2011)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! changed prefix for urban surface model output to "usm_",
+! introduced control parameter varnamelength for LEN of trimvar.
 ! 
 ! Former revisions:
@@ -136,5 +138,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  average_count_3d, cloud_physics, doav, doav_n, rho_surface
+        ONLY:  average_count_3d, cloud_physics, doav, doav_n, rho_surface,     &
+               urban_surface, varnamelength
 
     USE cpulog,                                                                &
@@ -156,5 +159,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_average_3d_data
+        ONLY:  usm_average_3d_data
 
 
@@ -171,5 +174,5 @@
     REAL(wp)     ::  s_r3   !< 
 
-    CHARACTER (LEN=20) ::  trimvar  !< TRIM of output-variable string
+    CHARACTER (LEN=varnamelength) ::  trimvar  !< TRIM of output-variable string
 
 
@@ -188,5 +191,5 @@
 !--       surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
           trimvar = TRIM( doav(ii) )
-          IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+          IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
              trimvar = 'usm_output'
           ENDIF
@@ -429,5 +432,5 @@
 !--       surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
           trimvar = TRIM( doav(ii) )
-          IF ( urban_surface  .AND.  trimvar(1:3) == 'us_' )  THEN
+          IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
              trimvar = 'usm_output'
           ENDIF
Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -173,6 +173,7 @@
                message_string, microphysics_seifert, most_method, neutral,     &
                passive_scalar, pt_surface, q_surface, run_coupled,             &
-               surface_pressure, simulated_time, terminate_run, zeta_max,      &
-               zeta_min 
+               surface_pressure, simulated_time, terminate_run,                &
+               urban_surface,                                                  &
+               zeta_max, zeta_min 
 
     USE indices,                                                               &
@@ -186,7 +187,5 @@
     USE land_surface_model_mod,                                                &
         ONLY:  land_surface, skip_time_do_lsm
-        
-    USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface
+
         
 
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 2008)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 2011)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Flag urban_surface is now defined in module control_parameters.
 ! 
 ! Former revisions:
@@ -113,5 +113,5 @@
         ONLY:  cloud_physics, constant_diffusion, humidity,                    &
                microphysics_seifert, neutral, ocean, passive_scalar,           &
-               timestep_count
+               timestep_count, urban_surface
 
     USE indices,                                                               &
@@ -122,5 +122,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_swap_timelevel
+        ONLY:  usm_swap_timelevel
 
 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 2008)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 2011)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Flag urban_surface is now defined in module control_parameters,
+! removed commented CALLs of global_min_max.
 ! 
 ! Former revisions:
@@ -275,5 +276,6 @@
                time_dots, time_do_av, time_do_sla, time_disturb, time_dvrp,    &
                time_run_control, time_since_reference_point,                   &
-               turbulent_inflow, use_initial_profile_as_reference,             &
+               turbulent_inflow, urban_surface,                                &
+               use_initial_profile_as_reference,                               &
                use_single_reference_value, u_gtrans, v_gtrans, virtual_flight, &
                ws_scheme_mom, ws_scheme_sca
@@ -346,5 +348,5 @@
 
     USE urban_surface_mod,                                                     &
-        ONLY:  urban_surface, usm_material_heat_model, usm_material_model,     &
+        ONLY:  usm_material_heat_model, usm_material_model,     &
                usm_radiation, usm_surface_energy_balance              
 
@@ -1211,17 +1213,4 @@
             timestep_scheme(1:5) /= 'runge'  .OR.  disturbance_created ) &
        THEN
-!          IF ( current_timestep_number == 1 )  THEN
-!             IF ( nxl < 7 .AND.  nxr > 7 .AND. nys < 7 .AND. nyn > 7 )  THEN
-!                u(10,7,7) = 0.55
-!             ENDIF
-!             PRINT*, 'calculating minmax'
-!             CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, u,       &
-!                                  'abs', 0.0_wp, u_max, u_max_ijk )
-!             CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, v,       &
-!                                  'abs', 0.0_wp, v_max, v_max_ijk )
-!             CALL global_min_max( nzb, nzt+1, nysg, nyng, nxlg, nxrg, w,       &
-!                                  'abs', 0.0_wp, w_max, w_max_ijk )
-!             PRINT*, 'calculated u_max = ', u_max, '  myid = ', myid
-!          ENDIF
           CALL run_control
           IF ( time_run_control >= dt_run_control )  THEN
